# norootforbuild

Name:      Coin
Version:    3.1.3
Release:    3.6
Summary:    Coin is a multiplatform high-level 3D graphics library
Group:      Development/Libraries/C and C++
License:    GPL
Packager:   Andrea Florio <andrea@links2linux.de>
URL:        http://www.coin3d.org/lib/coin
Source:     Coin-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  c++_compiler
BuildRequires:  freeglut-devel

%description
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.

%package devel
Summary: Development files for Coin3D
Group:   Development/Libraries/C and C++
Requires: libCoin60 = %version
Requires: freeglut-devel

%description devel
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.

%package -n libCoin60
Summary:     Coin is a multiplatform high-level 3D graphics library
Group:          System/Libraries
Provides:	Coin >= %version
Obsoletes:	Coin < %version

%description -n libCoin60
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.


%prep
%setup -q -n Coin-%version

%build

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure \
    --program-prefix=/ \
    --enable-threadsafe \
    --enable-3ds-import \
    --enable-javascript-api

make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libCoin60 -p /sbin/ldconfig

%postun -n libCoin60 -p /sbin/ldconfig

%files -n libCoin60
%defattr(-,root,root,0755)
%{_datadir}/Coin
%{_libdir}/libCoin.so.*
%doc ChangeLog AUTHORS FAQ FAQ.legal LICENSE.GPL README THANKS

%files devel
%defattr(-,root,root,0755)
%{_bindir}/coin-config
%{_includedir}/Inventor
%{_includedir}/SoDebug.h
%{_includedir}/SoWinEnterScope.h
%{_includedir}/SoWinLeaveScope.h
%{_libdir}/libCoin.la
%{_libdir}/libCoin.so
%{_libdir}/pkgconfig/Coin.pc
%{_datadir}/aclocal/coin.m4
%doc %{_mandir}/man1/coin-config.1.gz

%changelog
* Fri Dec 10 2010 andrea@links2linux.de
- new upstream version 3.1.3
* Sat Sep 26 2009 Andrea Florio <andrea@links2linux.de> 3.1.1
- new upstream version
* Sun Sep 28 2008 Andrea Florio <andrea@links2linux.de>
- complete spec rewrite
* Sun Nov 18 2007 Michal Vyskocil <mvyskocil@suse.cz>
- First release for OpenSuse Build Service
